## Command Line Options

Currently the OpenSLP daemon (slpd) accepts several useful command line options.

### Command Line

`slpd [-d] [-c configfile] [-r registrationfile] [-l logfile] [-p pidfile]`

### Options

`[-d]`

> Don't detach from the controlling tty.

`[-c configfile]`

> Use `configfile` as the file slpd reads to obtain configuration information, rather than the default, `/etc/slp.conf`. See Modifying the slp.conf configuration file for details.

`[-r registrationfile]`

> Use `registrationfile` as the file that slpd reads to obtain static registrations, rather than the default, `/etc/slp.reg`. See Creating a registration file for details.

`[-l logfile]`

> Use `logfile` as the file that slpd reads to write log messages, rather than the default, `/var/log/slpd.log`.

`[-p pidfile]`

> Use `pidfile` as the file that holds the slpd process id, rather than the default, `/var/run/slpd.pid`.